/preview/categories/report
curl --request POST \
--url https://api.criteo.com/preview/categories/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "GenerateCategoriesReport",
"attributes": {
"advertiserIds": [
"123",
"456",
"789"
],
"campaignId": "111",
"adsetId": "135",
"domain": "example.com",
"category": "Example",
"shouldDisplayDomainDimension": true,
"format": "csv",
"timezone": "Europe/Paris",
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00"
}
}
}
'import requests
url = "https://api.criteo.com/preview/categories/report"
payload = { "data": {
"type": "GenerateCategoriesReport",
"attributes": {
"advertiserIds": ["123", "456", "789"],
"campaignId": "111",
"adsetId": "135",
"domain": "example.com",
"category": "Example",
"shouldDisplayDomainDimension": True,
"format": "csv",
"timezone": "Europe/Paris",
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'GenerateCategoriesReport',
attributes: {
advertiserIds: ['123', '456', '789'],
campaignId: '111',
adsetId: '135',
domain: 'example.com',
category: 'Example',
shouldDisplayDomainDimension: true,
format: 'csv',
timezone: 'Europe/Paris',
startDate: '2024-01-01T00:00:00.0000000+00:00',
endDate: '2024-01-04T00:00:00.0000000+00:00'
}
}
})
};
fetch('https://api.criteo.com/preview/categories/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"/preview/categories/report
With this endpoint you can analyse what are the categories of the placements’ domains your ads are placed in.
This endpoint supports data retrieval for up to three months in the past.
POST
/
preview
/
categories
/
report
/preview/categories/report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsonapplication/xmltext/xmlapplication/*+xml
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
Success
The response is of type file.
Was this page helpful?
/preview/catalog/stats/merchants/{merchant-id}
Previous
/preview/log-level/advertisers/{advertiser-id}/report
Next
⌘I